/*****************************************************************
*
* File:      $Id: create.c,v 1.2 2002/09/16 00:32:31 glenco Exp $
* Version:   $Version$
* Author:    G. Cornell
*
*****************************************************************
*
* $Log: create.c,v $
* Revision 1.2  2002/09/16 00:32:31  glenco
* Adding example program and improving mkstab
*
* Revision 1.1.1.1  2002/08/29 02:48:57  glen
* initial import into CVS
*
* Revision 1.1  2002/06/14 21:38:17  cornell
* initial version
*
*
*
*****************************************************************/

#include <stdlib.h>
#include <libstab.h>

stab_t *stab_create(int num_buckets){
  stab_t *stab;

  if((stab = (stab_t*)malloc(sizeof(stab_t)))==0){
    return 0;
  }
  stab->num_buckets = num_buckets;
  stab->multiple_symbols_allowed = 1;
  stab->buckets = (stab_entry**)calloc(num_buckets, sizeof(stab_entry*));
  if(stab->buckets==0){
    free(stab);
    return 0;
  }
  return stab;
}

