/*****************************************************************
*
* File:      $Id: destroy.c,v 1.2 2002/09/16 00:32:31 glenco Exp $
* Version:   $Version$
* Author:    G. Cornell
*
*****************************************************************
*
* $Log: destroy.c,v $
* Revision 1.2  2002/09/16 00:32:31  glenco
* Adding example program and improving mkstab
*
* Revision 1.1.1.1  2002/08/29 02:48:57  glen
* initial import into CVS
*
* Revision 1.1  2002/06/14 21:38:17  cornell
* initial version
*
*
*
*****************************************************************/

#include <stdlib.h>
#include <libstab.h>

static int stab_destroy_proc(stab_t *stab, 
			     stab_entry *sym,
			     unsigned long not_used){
  free(sym->name);
  free(sym);
  return 1;
}

void stab_destroy(stab_t *stab){
  stab_for_each(stab, stab_destroy_proc, 0);
  free(stab->buckets);
  free(stab);
}
