/*****************************************************************
*
* File:      $Id: find_by_name.c,v 1.2 2002/09/16 00:32:31 glenco Exp $
* Version:   $Version$
* Author:    G. Cornell
*
*****************************************************************
*
* $Log: find_by_name.c,v $
* Revision 1.2  2002/09/16 00:32:31  glenco
* Adding example program and improving mkstab
*
* Revision 1.1.1.1  2002/08/29 02:48:57  glen
* initial import into CVS
*
* Revision 1.2  2002/06/14 21:40:53  cornell
* .
*
* Revision 1.1  2002/06/14 21:38:17  cornell
* initial version
*
*
*
*****************************************************************/

#include <string.h>
#include <libstab.h>
#include <libstabP.h>

stab_entry *stab_find_by_name(stab_t *stab,
			      char const  * const name){
  stab_entry *sym = stab->buckets[stab_hash(stab, name)];
  while(sym){
    if(strcmp(name,sym->name)==0)
      return sym;
    sym=sym->next;
  }
  return 0;
}

