/*****************************************************************
*
* File:      $Id: hash.c,v 1.2 2002/09/16 00:32:31 glenco Exp $
* Version:   $Version$
* Author:    G. Cornell
*
*****************************************************************
*
* $Log: hash.c,v $
* Revision 1.2  2002/09/16 00:32:31  glenco
* Adding example program and improving mkstab
*
* Revision 1.1.1.1  2002/08/29 02:48:57  glen
* initial import into CVS
*
* Revision 1.1  2002/06/14 21:38:17  cornell
* initial version
*
*
*
*****************************************************************/
/*
 * This code was borrowed from hash.c from the xfree86 source, 
 * therefore:
 */
/*
 *
 * Copyright 1995-1998 by Metro Link, Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Metro Link, Inc. not be used in
 * advertising or publicity pertaining to distribution of the software without
 * specific, written prior permission.  Metro Link, Inc. makes no
 * representations about the suitability of this software for any purpose.
 *  It is provided "as is" without express or implied warranty.
 *
 * METRO LINK, INC. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL METRO LINK, INC. BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

#include <libstab.h>
#include <libstabP.h>

int stab_hash(const stab_t *stab, const char *string){
  int i=0; 
  
  while ( i < 10 && string[i] )
    i ++ ;
  
  if ( i < 5 ) {
    return i ;
  }
  
#define HASH ((string[i-5] * string[ i-4 ]) + (string[i-3] * string[i-2]))
  
  return (HASH % stab->num_buckets);
}
