#include <stdio.h>

void help() {
  printf("Embedded Shell Help\n");
  printf("Directory Commands:\n");
  printf("\tls [\"path\"] - list directory contents\n");
  printf("\tll [\"path\"]- list directory contents (long format)\n");
  printf("\tcd \"dir\" - change current working directory\n");
  printf("\tpwd - print the current working directory\n");
  printf("Loader Utilities:\n");
  printf("\tld \"file\" - load an object or archive file\n");
  printf("\tunld expr - unload an object module\n");
  printf("\tlkup \"regexp\" - lookup an address in symbol table\n");
  printf("\tlkAddr expr - look for a symbol at the given address\n");
  printf("Task Utilities:\n");
  printf("\tsp func, ... - spawn a thread, invoking func()\n");
  printf("\ttt taskId - print thread's call stack trace\n");
  printf("\tts taskId - suspend a thread\n");
  printf("\ttr taskId - resume a thread\n");
  printf("\ti taskId - print thread status (like ps)\n");
  printf("Debug Utilities:\n");
  printf("\tl [addr] - disassemble memory at address\n");
  printf("\td [addr[,count]] - dump memory at addr for count bytes\n");
  printf("\tb - show breakpoints\n");
  printf("\tb addr - set a breakpoint at address\n");
  printf("\tbd expr - delete breakpoint\n");
  printf("\ts [taskId] - single step an instruction\n");
}

