/*****************************************************************
*
* File:      $Id: erase.c,v 1.2 2002/09/16 00:32:31 glenco Exp $
* Version:   $Version$
* Author:    G. Cornell
*
*****************************************************************
*
* $Log: erase.c,v $
* Revision 1.2  2002/09/16 00:32:31  glenco
* Adding example program and improving mkstab
*
* Revision 1.1.1.1  2002/08/29 02:48:57  glen
* initial import into CVS
*
* Revision 1.1  2002/06/14 21:38:17  cornell
* initial version
*
*
*
*****************************************************************/

#include <libstab.h>
#include <libstabP.h>

int stab_erase(stab_t     *stab,
	       stab_entry *sym){
  stab_entry *prev;
  stab_entry *next = sym->next;
  if(next){
    memcpy(sym, next, sizeof(stab_entry));
  }else{
    int i = stab_hash(stab,sym->name);
    for(prev=stab->buckets[i];prev;prev=prev->next){
      if(prev && prev->next==sym){
	next=sym;
	prev->next=sym->next;
	break;
      }
    }
  }
  free(sym->name);
  free(next);
  return 0;
}

